package com.phlx.anchorcollect.data.http;


import com.phlx.anchorcollect.entity.GenData;
import com.phlx.anchorcollect.entity.LoginData;
import com.phlx.anchorcollect.params.CollectResponse;

import java.util.Map;

import io.reactivex.Observable;
import retrofit2.http.FieldMap;

/**
 * Created by goldze on 2019/3/26.
 */
public class HttpDataSourceImpl implements HttpDataSource {
    private ApiService apiService;
    private volatile static HttpDataSourceImpl INSTANCE = null;

    public static HttpDataSourceImpl getInstance(ApiService apiService) {
        if (INSTANCE == null) {
            synchronized (HttpDataSourceImpl.class) {
                if (INSTANCE == null) {
                    INSTANCE = new HttpDataSourceImpl(apiService);
                }
            }
        }
        return INSTANCE;
    }

    public static void destroyInstance() {
        INSTANCE = null;
    }

    private HttpDataSourceImpl(ApiService apiService) {
        this.apiService = apiService;
    }


    @Override
    public Observable<CollectResponse<LoginData>> loginPost(@FieldMap Map<String,String> map) {
        return apiService.loginPost(map);
    }

    @Override
    public Observable<CollectResponse<GenData>> genGet() {
        return apiService.genGet();
    }


}
