package com.phlx.anchorcollect.db.gen;

import java.util.Map;

import org.greenrobot.greendao.AbstractDao;
import org.greenrobot.greendao.AbstractDaoSession;
import org.greenrobot.greendao.database.Database;
import org.greenrobot.greendao.identityscope.IdentityScopeType;
import org.greenrobot.greendao.internal.DaoConfig;

import com.phlx.anchorcollect.entity.AncestryinfoEntity;
import com.phlx.anchorcollect.entity.CardEntity;
import com.phlx.anchorcollect.entity.CattleResumeEntity;
import com.phlx.anchorcollect.entity.GenTable;
import com.phlx.anchorcollect.entity.GenTableColumn;
import com.phlx.anchorcollect.entity.ImmuneEntity;
import com.phlx.anchorcollect.entity.MedicalEntity;
import com.phlx.anchorcollect.entity.PerformanceEntity;
import com.phlx.anchorcollect.entity.UserRoleEntity;
import com.phlx.anchorcollect.entity.WeightingEntity;

import com.phlx.anchorcollect.db.gen.AncestryinfoEntityDao;
import com.phlx.anchorcollect.db.gen.CardEntityDao;
import com.phlx.anchorcollect.db.gen.CattleResumeEntityDao;
import com.phlx.anchorcollect.db.gen.GenTableDao;
import com.phlx.anchorcollect.db.gen.GenTableColumnDao;
import com.phlx.anchorcollect.db.gen.ImmuneEntityDao;
import com.phlx.anchorcollect.db.gen.MedicalEntityDao;
import com.phlx.anchorcollect.db.gen.PerformanceEntityDao;
import com.phlx.anchorcollect.db.gen.UserRoleEntityDao;
import com.phlx.anchorcollect.db.gen.WeightingEntityDao;

// THIS CODE IS GENERATED BY greenDAO, DO NOT EDIT.

/**
 * {@inheritDoc}
 * 
 * @see org.greenrobot.greendao.AbstractDaoSession
 */
public class DaoSession extends AbstractDaoSession {

    private final DaoConfig ancestryinfoEntityDaoConfig;
    private final DaoConfig cardEntityDaoConfig;
    private final DaoConfig cattleResumeEntityDaoConfig;
    private final DaoConfig genTableDaoConfig;
    private final DaoConfig genTableColumnDaoConfig;
    private final DaoConfig immuneEntityDaoConfig;
    private final DaoConfig medicalEntityDaoConfig;
    private final DaoConfig performanceEntityDaoConfig;
    private final DaoConfig userRoleEntityDaoConfig;
    private final DaoConfig weightingEntityDaoConfig;

    private final AncestryinfoEntityDao ancestryinfoEntityDao;
    private final CardEntityDao cardEntityDao;
    private final CattleResumeEntityDao cattleResumeEntityDao;
    private final GenTableDao genTableDao;
    private final GenTableColumnDao genTableColumnDao;
    private final ImmuneEntityDao immuneEntityDao;
    private final MedicalEntityDao medicalEntityDao;
    private final PerformanceEntityDao performanceEntityDao;
    private final UserRoleEntityDao userRoleEntityDao;
    private final WeightingEntityDao weightingEntityDao;

    public DaoSession(Database db, IdentityScopeType type, Map<Class<? extends AbstractDao<?, ?>>, DaoConfig>
            daoConfigMap) {
        super(db);

        ancestryinfoEntityDaoConfig = daoConfigMap.get(AncestryinfoEntityDao.class).clone();
        ancestryinfoEntityDaoConfig.initIdentityScope(type);

        cardEntityDaoConfig = daoConfigMap.get(CardEntityDao.class).clone();
        cardEntityDaoConfig.initIdentityScope(type);

        cattleResumeEntityDaoConfig = daoConfigMap.get(CattleResumeEntityDao.class).clone();
        cattleResumeEntityDaoConfig.initIdentityScope(type);

        genTableDaoConfig = daoConfigMap.get(GenTableDao.class).clone();
        genTableDaoConfig.initIdentityScope(type);

        genTableColumnDaoConfig = daoConfigMap.get(GenTableColumnDao.class).clone();
        genTableColumnDaoConfig.initIdentityScope(type);

        immuneEntityDaoConfig = daoConfigMap.get(ImmuneEntityDao.class).clone();
        immuneEntityDaoConfig.initIdentityScope(type);

        medicalEntityDaoConfig = daoConfigMap.get(MedicalEntityDao.class).clone();
        medicalEntityDaoConfig.initIdentityScope(type);

        performanceEntityDaoConfig = daoConfigMap.get(PerformanceEntityDao.class).clone();
        performanceEntityDaoConfig.initIdentityScope(type);

        userRoleEntityDaoConfig = daoConfigMap.get(UserRoleEntityDao.class).clone();
        userRoleEntityDaoConfig.initIdentityScope(type);

        weightingEntityDaoConfig = daoConfigMap.get(WeightingEntityDao.class).clone();
        weightingEntityDaoConfig.initIdentityScope(type);

        ancestryinfoEntityDao = new AncestryinfoEntityDao(ancestryinfoEntityDaoConfig, this);
        cardEntityDao = new CardEntityDao(cardEntityDaoConfig, this);
        cattleResumeEntityDao = new CattleResumeEntityDao(cattleResumeEntityDaoConfig, this);
        genTableDao = new GenTableDao(genTableDaoConfig, this);
        genTableColumnDao = new GenTableColumnDao(genTableColumnDaoConfig, this);
        immuneEntityDao = new ImmuneEntityDao(immuneEntityDaoConfig, this);
        medicalEntityDao = new MedicalEntityDao(medicalEntityDaoConfig, this);
        performanceEntityDao = new PerformanceEntityDao(performanceEntityDaoConfig, this);
        userRoleEntityDao = new UserRoleEntityDao(userRoleEntityDaoConfig, this);
        weightingEntityDao = new WeightingEntityDao(weightingEntityDaoConfig, this);

        registerDao(AncestryinfoEntity.class, ancestryinfoEntityDao);
        registerDao(CardEntity.class, cardEntityDao);
        registerDao(CattleResumeEntity.class, cattleResumeEntityDao);
        registerDao(GenTable.class, genTableDao);
        registerDao(GenTableColumn.class, genTableColumnDao);
        registerDao(ImmuneEntity.class, immuneEntityDao);
        registerDao(MedicalEntity.class, medicalEntityDao);
        registerDao(PerformanceEntity.class, performanceEntityDao);
        registerDao(UserRoleEntity.class, userRoleEntityDao);
        registerDao(WeightingEntity.class, weightingEntityDao);
    }
    
    public void clear() {
        ancestryinfoEntityDaoConfig.clearIdentityScope();
        cardEntityDaoConfig.clearIdentityScope();
        cattleResumeEntityDaoConfig.clearIdentityScope();
        genTableDaoConfig.clearIdentityScope();
        genTableColumnDaoConfig.clearIdentityScope();
        immuneEntityDaoConfig.clearIdentityScope();
        medicalEntityDaoConfig.clearIdentityScope();
        performanceEntityDaoConfig.clearIdentityScope();
        userRoleEntityDaoConfig.clearIdentityScope();
        weightingEntityDaoConfig.clearIdentityScope();
    }

    public AncestryinfoEntityDao getAncestryinfoEntityDao() {
        return ancestryinfoEntityDao;
    }

    public CardEntityDao getCardEntityDao() {
        return cardEntityDao;
    }

    public CattleResumeEntityDao getCattleResumeEntityDao() {
        return cattleResumeEntityDao;
    }

    public GenTableDao getGenTableDao() {
        return genTableDao;
    }

    public GenTableColumnDao getGenTableColumnDao() {
        return genTableColumnDao;
    }

    public ImmuneEntityDao getImmuneEntityDao() {
        return immuneEntityDao;
    }

    public MedicalEntityDao getMedicalEntityDao() {
        return medicalEntityDao;
    }

    public PerformanceEntityDao getPerformanceEntityDao() {
        return performanceEntityDao;
    }

    public UserRoleEntityDao getUserRoleEntityDao() {
        return userRoleEntityDao;
    }

    public WeightingEntityDao getWeightingEntityDao() {
        return weightingEntityDao;
    }

}
