package com.phlx.anchorcollect.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Generated;


/**
 * 基础信息对象 zxgl_cattleresume
 * 
 * @author phlx
 * @date 2022-01-10
 */
@Entity
public class CattleResumeEntity extends BaseObservable implements Parcelable {
    private static final long serialVersionUID = 1L;

    /** unid主键 */
    @Id(autoincrement = false)
    private String unid;

    /** 电子耳标 */
    private String registrationNo;

    /** 可视耳标 */
    private String individualNo;

    /** 圈舍号 */
    private String circleNo;

    /** 饲养类型;（牛，羊，马） */
    private String raiseType;

    /** 饲养品种;（利木赞，西门塔尔等） */
    private String raiseVarieties;

    /** 出生日期 */
    private String birthdate;

    /** 出生重量 */
    private String birthHeavy;

    /** 性别 */
    private String sex;

    /** 出生难易度 */
    private String birthDifficulty;

    /** 是否双胎 */
    private String isTwins;

    /** 母本胎次 */
    private String childTime;

    /** 等级 */
    private String grade;

    /** 父登记号 */
    private String fatherReg;

    /** 母登记号 */
    private String motherReg;

    /** 离乳重 */
    private String fromMilkHeavy;

    /** 健康状态 */
    private String health;

    /** 6月龄重 */
    private String junHeavy;

    /** 12月外貌评分 */
    private String decAppScore;

    /** 照片路径;(可以多图片“，”分割) */
    private String photo;

    /** 状态（育种，育成，成年;淘汰，出售） */
    private String status;

    /** 是否淘汰;0,在用，1淘汰 */
    private String isOut;

    /** 时间戳 */
    private String inputTime;

    /** 部门id */
    private String deptId;


    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    private String createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    private String updateTime;

    /** 备注 */
    private String remark;

    protected CattleResumeEntity(Parcel in) {
        unid = in.readString();
        registrationNo = in.readString();
        individualNo = in.readString();
        circleNo = in.readString();
        raiseType = in.readString();
        raiseVarieties = in.readString();
        birthdate = in.readString();
        birthHeavy = in.readString();
        sex = in.readString();
        birthDifficulty = in.readString();
        isTwins = in.readString();
        childTime = in.readString();
        grade = in.readString();
        fatherReg = in.readString();
        motherReg = in.readString();
        fromMilkHeavy = in.readString();
        health = in.readString();
        junHeavy = in.readString();
        decAppScore = in.readString();
        photo = in.readString();
        status = in.readString();
        isOut = in.readString();
        inputTime = in.readString();
        deptId = in.readString();
        createBy = in.readString();
        createTime = in.readString();
        updateBy = in.readString();
        updateTime = in.readString();
        remark = in.readString();
    }

    @Generated(hash = 76636250)
    public CattleResumeEntity(String unid, String registrationNo, String individualNo, String circleNo,
            String raiseType, String raiseVarieties, String birthdate, String birthHeavy, String sex,
            String birthDifficulty, String isTwins, String childTime, String grade, String fatherReg,
            String motherReg, String fromMilkHeavy, String health, String junHeavy, String decAppScore,
            String photo, String status, String isOut, String inputTime, String deptId, String createBy,
            String createTime, String updateBy, String updateTime, String remark) {
        this.unid = unid;
        this.registrationNo = registrationNo;
        this.individualNo = individualNo;
        this.circleNo = circleNo;
        this.raiseType = raiseType;
        this.raiseVarieties = raiseVarieties;
        this.birthdate = birthdate;
        this.birthHeavy = birthHeavy;
        this.sex = sex;
        this.birthDifficulty = birthDifficulty;
        this.isTwins = isTwins;
        this.childTime = childTime;
        this.grade = grade;
        this.fatherReg = fatherReg;
        this.motherReg = motherReg;
        this.fromMilkHeavy = fromMilkHeavy;
        this.health = health;
        this.junHeavy = junHeavy;
        this.decAppScore = decAppScore;
        this.photo = photo;
        this.status = status;
        this.isOut = isOut;
        this.inputTime = inputTime;
        this.deptId = deptId;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.remark = remark;
    }

    @Generated(hash = 927352725)
    public CattleResumeEntity() {
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(unid);
        dest.writeString(registrationNo);
        dest.writeString(individualNo);
        dest.writeString(circleNo);
        dest.writeString(raiseType);
        dest.writeString(raiseVarieties);
        dest.writeString(birthdate);
        dest.writeString(birthHeavy);
        dest.writeString(sex);
        dest.writeString(birthDifficulty);
        dest.writeString(isTwins);
        dest.writeString(childTime);
        dest.writeString(grade);
        dest.writeString(fatherReg);
        dest.writeString(motherReg);
        dest.writeString(fromMilkHeavy);
        dest.writeString(health);
        dest.writeString(junHeavy);
        dest.writeString(decAppScore);
        dest.writeString(photo);
        dest.writeString(status);
        dest.writeString(isOut);
        dest.writeString(inputTime);
        dest.writeString(deptId);
        dest.writeString(createBy);
        dest.writeString(createTime);
        dest.writeString(updateBy);
        dest.writeString(updateTime);
        dest.writeString(remark);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<CattleResumeEntity> CREATOR = new Creator<CattleResumeEntity>() {
        @Override
        public CattleResumeEntity createFromParcel(Parcel in) {
            return new CattleResumeEntity(in);
        }

        @Override
        public CattleResumeEntity[] newArray(int size) {
            return new CattleResumeEntity[size];
        }
    };

    public String getUnid() {
        return unid;
    }

    public void setUnid(String unid) {
        this.unid = unid;
    }

    public String getRegistrationNo() {
        return registrationNo;
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getIndividualNo() {
        return individualNo;
    }

    public void setIndividualNo(String individualNo) {
        this.individualNo = individualNo;
    }

    public String getCircleNo() {
        return circleNo;
    }

    public void setCircleNo(String circleNo) {
        this.circleNo = circleNo;
    }

    public String getRaiseType() {
        return raiseType;
    }

    public void setRaiseType(String raiseType) {
        this.raiseType = raiseType;
    }

    public String getRaiseVarieties() {
        return raiseVarieties;
    }

    public void setRaiseVarieties(String raiseVarieties) {
        this.raiseVarieties = raiseVarieties;
    }

    public String getBirthdate() {
        return birthdate;
    }

    public void setBirthdate(String birthdate) {
        this.birthdate = birthdate;
    }

    public String getBirthHeavy() {
        return birthHeavy;
    }

    public void setBirthHeavy(String birthHeavy) {
        this.birthHeavy = birthHeavy;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public String getBirthDifficulty() {
        return birthDifficulty;
    }

    public void setBirthDifficulty(String birthDifficulty) {
        this.birthDifficulty = birthDifficulty;
    }

    public String getIsTwins() {
        return isTwins;
    }

    public void setIsTwins(String isTwins) {
        this.isTwins = isTwins;
    }

    public String getChildTime() {
        return childTime;
    }

    public void setChildTime(String childTime) {
        this.childTime = childTime;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getFatherReg() {
        return fatherReg;
    }

    public void setFatherReg(String fatherReg) {
        this.fatherReg = fatherReg;
    }

    public String getMotherReg() {
        return motherReg;
    }

    public void setMotherReg(String motherReg) {
        this.motherReg = motherReg;
    }

    public String getFromMilkHeavy() {
        return fromMilkHeavy;
    }

    public void setFromMilkHeavy(String fromMilkHeavy) {
        this.fromMilkHeavy = fromMilkHeavy;
    }

    public String getHealth() {
        return health;
    }

    public void setHealth(String health) {
        this.health = health;
    }

    public String getJunHeavy() {
        return junHeavy;
    }

    public void setJunHeavy(String junHeavy) {
        this.junHeavy = junHeavy;
    }

    public String getDecAppScore() {
        return decAppScore;
    }

    public void setDecAppScore(String decAppScore) {
        this.decAppScore = decAppScore;
    }

    public String getPhoto() {
        return photo;
    }

    public void setPhoto(String photo) {
        this.photo = photo;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getIsOut() {
        return isOut;
    }

    public void setIsOut(String isOut) {
        this.isOut = isOut;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    public String getDeptId() {
        return deptId;
    }

    public void setDeptId(String deptId) {
        this.deptId = deptId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    @Override
    public String toString() {
        return "CattleResumeEntity{" +
                "unid='" + unid + '\'' +
                ", registrationNo='" + registrationNo + '\'' +
                ", individualNo='" + individualNo + '\'' +
                ", circleNo='" + circleNo + '\'' +
                ", raiseType='" + raiseType + '\'' +
                ", raiseVarieties='" + raiseVarieties + '\'' +
                ", birthdate='" + birthdate + '\'' +
                ", birthHeavy='" + birthHeavy + '\'' +
                ", sex='" + sex + '\'' +
                ", birthDifficulty='" + birthDifficulty + '\'' +
                ", isTwins='" + isTwins + '\'' +
                ", childTime='" + childTime + '\'' +
                ", grade='" + grade + '\'' +
                ", fatherReg='" + fatherReg + '\'' +
                ", motherReg='" + motherReg + '\'' +
                ", fromMilkHeavy='" + fromMilkHeavy + '\'' +
                ", health='" + health + '\'' +
                ", junHeavy='" + junHeavy + '\'' +
                ", decAppScore='" + decAppScore + '\'' +
                ", photo='" + photo + '\'' +
                ", status='" + status + '\'' +
                ", isOut='" + isOut + '\'' +
                ", inputTime='" + inputTime + '\'' +
                ", deptId='" + deptId + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", remark='" + remark + '\'' +
                '}';
    }
}
