package com.phlx.anchorcollect.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

/**
 *  字典项
 */
public class DictEntity extends BaseObservable implements Parcelable {

    private String id;
    private String name;
    private String value;
    private String type;

    public DictEntity() {
    }

    public DictEntity(String id, String name, String value, String type) {
        this.id = id;
        this.name = name;
        this.value = value;
        this.type = type;
    }

    protected DictEntity(Parcel in) {
        id = in.readString();
        name = in.readString();
        value = in.readString();
        type = in.readString();
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(id);
        dest.writeString(name);
        dest.writeString(value);
        dest.writeString(type);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<DictEntity> CREATOR = new Creator<DictEntity>() {
        @Override
        public DictEntity createFromParcel(Parcel in) {
            return new DictEntity(in);
        }

        @Override
        public DictEntity[] newArray(int size) {
            return new DictEntity[size];
        }
    };

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }
}
