package com.phlx.anchorcollect.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * 病例档案表
 * 作者 : lei
 * 时间 : 2018/12/3 11 : 57
 */
@Entity
public class MedicalEntity extends BaseObservable implements Parcelable {
    //主键
    @Id
    private Long id;
    /**
     * 自增列
     */
    private String unid;
    /**
     * 登记号
     */
    private String registrationNo;
    /**
     * 诊疗日期
     */
    private String treatDate;
    /**
     * 治疗人员
     */
    private String treatPersonnel;
    /**
     * 病因
     */
    private String causeOf;
    /**
     * 批次
     */
    private String batchNo;
    /**
     * 用药名称
     */
    private String drugName;
    /**
     * 商品名
     */
    private String productName;
    /**
     * 规格
     */
    private String specifications;

    /**
     * 库存
     */
    private String remainingNumber;
    /**
     * 用药数量
     */
    private String number;
    /**
     * 用药方法
     */
    private String drugMethods;
    /**
     * 蹄病处理
     */
    private String hoofDisease;
    /**
     * 驱虫
     */
    private String insecticide;
    /**
     * 结果
     */
    private String results;
    /**
     * 更新状态
     */
    private String updateId;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private String updateTime;

    /**
     * 权限标识
     */
    private String permissions;

    /**
     * 从服务器接收，时间戳，终端需要上传给服务器，
     */
    private String inputTime;

    public MedicalEntity() {
    }

    protected MedicalEntity(Parcel in) {
        if (in.readByte() == 0) {
            id = null;
        } else {
            id = in.readLong();
        }
        unid = in.readString();
        registrationNo = in.readString();
        treatDate = in.readString();
        treatPersonnel = in.readString();
        causeOf = in.readString();
        batchNo = in.readString();
        drugName = in.readString();
        productName = in.readString();
        specifications = in.readString();
        remainingNumber = in.readString();
        number = in.readString();
        drugMethods = in.readString();
        hoofDisease = in.readString();
        insecticide = in.readString();
        results = in.readString();
        updateId = in.readString();
        createBy = in.readString();
        createTime = in.readString();
        updateBy = in.readString();
        updateTime = in.readString();
        permissions = in.readString();
        inputTime = in.readString();
    }

    @Generated(hash = 479849452)
    public MedicalEntity(Long id, String unid, String registrationNo, String treatDate,
            String treatPersonnel, String causeOf, String batchNo, String drugName,
            String productName, String specifications, String remainingNumber, String number,
            String drugMethods, String hoofDisease, String insecticide, String results,
            String updateId, String createBy, String createTime, String updateBy,
            String updateTime, String permissions, String inputTime) {
        this.id = id;
        this.unid = unid;
        this.registrationNo = registrationNo;
        this.treatDate = treatDate;
        this.treatPersonnel = treatPersonnel;
        this.causeOf = causeOf;
        this.batchNo = batchNo;
        this.drugName = drugName;
        this.productName = productName;
        this.specifications = specifications;
        this.remainingNumber = remainingNumber;
        this.number = number;
        this.drugMethods = drugMethods;
        this.hoofDisease = hoofDisease;
        this.insecticide = insecticide;
        this.results = results;
        this.updateId = updateId;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.permissions = permissions;
        this.inputTime = inputTime;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        if (id == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeLong(id);
        }
        dest.writeString(unid);
        dest.writeString(registrationNo);
        dest.writeString(treatDate);
        dest.writeString(treatPersonnel);
        dest.writeString(causeOf);
        dest.writeString(batchNo);
        dest.writeString(drugName);
        dest.writeString(productName);
        dest.writeString(specifications);
        dest.writeString(remainingNumber);
        dest.writeString(number);
        dest.writeString(drugMethods);
        dest.writeString(hoofDisease);
        dest.writeString(insecticide);
        dest.writeString(results);
        dest.writeString(updateId);
        dest.writeString(createBy);
        dest.writeString(createTime);
        dest.writeString(updateBy);
        dest.writeString(updateTime);
        dest.writeString(permissions);
        dest.writeString(inputTime);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MedicalEntity> CREATOR = new Creator<MedicalEntity>() {
        @Override
        public MedicalEntity createFromParcel(Parcel in) {
            return new MedicalEntity(in);
        }

        @Override
        public MedicalEntity[] newArray(int size) {
            return new MedicalEntity[size];
        }
    };

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUnid() {
        return unid;
    }

    public void setUnid(String unid) {
        this.unid = unid;
    }

    public String getRegistrationNo() {
        return registrationNo;
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getTreatDate() {
        return treatDate;
    }

    public void setTreatDate(String treatDate) {
        this.treatDate = treatDate;
    }

    public String getTreatPersonnel() {
        return treatPersonnel;
    }

    public void setTreatPersonnel(String treatPersonnel) {
        this.treatPersonnel = treatPersonnel;
    }

    public String getCauseOf() {
        return causeOf;
    }

    public void setCauseOf(String causeOf) {
        this.causeOf = causeOf;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getDrugName() {
        return drugName;
    }

    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getSpecifications() {
        return specifications;
    }

    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    public String getRemainingNumber() {
        return remainingNumber;
    }

    public void setRemainingNumber(String remainingNumber) {
        this.remainingNumber = remainingNumber;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getDrugMethods() {
        return drugMethods;
    }

    public void setDrugMethods(String drugMethods) {
        this.drugMethods = drugMethods;
    }

    public String getHoofDisease() {
        return hoofDisease;
    }

    public void setHoofDisease(String hoofDisease) {
        this.hoofDisease = hoofDisease;
    }

    public String getInsecticide() {
        return insecticide;
    }

    public void setInsecticide(String insecticide) {
        this.insecticide = insecticide;
    }

    public String getResults() {
        return results;
    }

    public void setResults(String results) {
        this.results = results;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getPermissions() {
        return permissions;
    }

    public void setPermissions(String permissions) {
        this.permissions = permissions;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    @Override
    public String toString() {
        return "MedicalEntity{" +
                "id=" + id +
                ", unid='" + unid + '\'' +
                ", registrationNo='" + registrationNo + '\'' +
                ", treatDate='" + treatDate + '\'' +
                ", treatPersonnel='" + treatPersonnel + '\'' +
                ", causeOf='" + causeOf + '\'' +
                ", batchNo='" + batchNo + '\'' +
                ", drugName='" + drugName + '\'' +
                ", productName='" + productName + '\'' +
                ", specifications='" + specifications + '\'' +
                ", remainingNumber='" + remainingNumber + '\'' +
                ", number='" + number + '\'' +
                ", drugMethods='" + drugMethods + '\'' +
                ", hoofDisease='" + hoofDisease + '\'' +
                ", insecticide='" + insecticide + '\'' +
                ", results='" + results + '\'' +
                ", updateId='" + updateId + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", permissions='" + permissions + '\'' +
                ", inputTime='" + inputTime + '\'' +
                '}';
    }
}
