package com.phlx.anchorcollect.entity;

import android.os.Parcel;
import android.os.Parcelable;

import androidx.databinding.BaseObservable;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;

/**
 * 种畜管理_性能测定表
 * 作者 : lei
 * 时间 : 2018/12/3 12 : 05
 */
@Entity
public class PerformanceEntity extends BaseObservable implements Parcelable
{
    //主键
    private Long id;
    /**
     * unid
     */
    @Id(autoincrement = false)
    private long unid;
    /**
     * 登记号
     */
    private String registrationNo;
    /**
     * 年龄
     */
    private String age;
    /**
     * 测量日期
     */
    private String measureDate;
    /**
     * 体高(cm)
     */
    private String height;
    /**
     * 体长(cm)
     */
    private String length;
    /**
     * 胸围(cm)
     */
    private String bust;
    /**
     * 胸宽(cm)
     */
    private String chestWidth;
    /**
     * 胸深(cm)
     */
    private String chestDeep;
    /**
     * 腰角宽(cm)
     */
    private String waistWidth;
    /**
     * 十字部宽(cm)
     */
    private String crossWidth;
    /**
     * 管维(cm)
     */
    private String guanWei;
    /**
     * 体重
     */
    private String weight;
    /**
     * 羊毛长度(cm)
     */
    private String hairLength;
    /**
     * 羊毛细度(微米)
     */
    private String hairFineness;
    /**
     * 剪毛量(kg)
     */
    private String shearing;
    /**
     * 背腰宽
     */
    private String backWidth;
    /**
     * 眼肌面积
     */
    private String eyeMuscleArea;
    /**
     * 繁殖成绩
     */
    private String breedRes;
    /**
     * 健康状况
     */
    private String health;
    /**
     * 免疫情况
     */
    private String immune;
    /**
     * 更新状态
     */
    private String updateId;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private String createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private String updateTime;
    /**
     * 权限标识
     */
    private String permissions;

    /**
     * 从服务器接收，时间戳，终端需要上传给服务器，
     */
    private String inputTime;

    public PerformanceEntity()
    {
    }

    protected PerformanceEntity(Parcel in) {
        if (in.readByte() == 0) {
            id = null;
        } else {
            id = in.readLong();
        }
        unid = in.readLong();
        registrationNo = in.readString();
        age = in.readString();
        measureDate = in.readString();
        height = in.readString();
        length = in.readString();
        bust = in.readString();
        chestWidth = in.readString();
        chestDeep = in.readString();
        waistWidth = in.readString();
        crossWidth = in.readString();
        guanWei = in.readString();
        weight = in.readString();
        hairLength = in.readString();
        hairFineness = in.readString();
        shearing = in.readString();
        backWidth = in.readString();
        eyeMuscleArea = in.readString();
        breedRes = in.readString();
        health = in.readString();
        immune = in.readString();
        updateId = in.readString();
        createBy = in.readString();
        createTime = in.readString();
        updateBy = in.readString();
        updateTime = in.readString();
        permissions = in.readString();
        inputTime = in.readString();
    }

    @Generated(hash = 341047096)
    public PerformanceEntity(Long id, long unid, String registrationNo, String age, String measureDate,
                             String height, String length, String bust, String chestWidth, String chestDeep,
                             String waistWidth, String crossWidth, String guanWei, String weight, String hairLength,
                             String hairFineness, String shearing, String backWidth, String eyeMuscleArea,
                             String breedRes, String health, String immune, String updateId, String createBy,
                             String createTime, String updateBy, String updateTime, String permissions,
                             String inputTime) {
        this.id = id;
        this.unid = unid;
        this.registrationNo = registrationNo;
        this.age = age;
        this.measureDate = measureDate;
        this.height = height;
        this.length = length;
        this.bust = bust;
        this.chestWidth = chestWidth;
        this.chestDeep = chestDeep;
        this.waistWidth = waistWidth;
        this.crossWidth = crossWidth;
        this.guanWei = guanWei;
        this.weight = weight;
        this.hairLength = hairLength;
        this.hairFineness = hairFineness;
        this.shearing = shearing;
        this.backWidth = backWidth;
        this.eyeMuscleArea = eyeMuscleArea;
        this.breedRes = breedRes;
        this.health = health;
        this.immune = immune;
        this.updateId = updateId;
        this.createBy = createBy;
        this.createTime = createTime;
        this.updateBy = updateBy;
        this.updateTime = updateTime;
        this.permissions = permissions;
        this.inputTime = inputTime;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        if (id == null) {
            dest.writeByte((byte) 0);
        } else {
            dest.writeByte((byte) 1);
            dest.writeLong(id);
        }
        dest.writeLong(unid);
        dest.writeString(registrationNo);
        dest.writeString(age);
        dest.writeString(measureDate);
        dest.writeString(height);
        dest.writeString(length);
        dest.writeString(bust);
        dest.writeString(chestWidth);
        dest.writeString(chestDeep);
        dest.writeString(waistWidth);
        dest.writeString(crossWidth);
        dest.writeString(guanWei);
        dest.writeString(weight);
        dest.writeString(hairLength);
        dest.writeString(hairFineness);
        dest.writeString(shearing);
        dest.writeString(backWidth);
        dest.writeString(eyeMuscleArea);
        dest.writeString(breedRes);
        dest.writeString(health);
        dest.writeString(immune);
        dest.writeString(updateId);
        dest.writeString(createBy);
        dest.writeString(createTime);
        dest.writeString(updateBy);
        dest.writeString(updateTime);
        dest.writeString(permissions);
        dest.writeString(inputTime);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<PerformanceEntity> CREATOR = new Creator<PerformanceEntity>() {
        @Override
        public PerformanceEntity createFromParcel(Parcel in) {
            return new PerformanceEntity(in);
        }

        @Override
        public PerformanceEntity[] newArray(int size) {
            return new PerformanceEntity[size];
        }
    };

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public long getUnid() {
        return unid;
    }

    public void setUnid(long unid) {
        this.unid = unid;
    }

    public String getRegistrationNo() {
        return registrationNo;
    }

    public void setRegistrationNo(String registrationNo) {
        this.registrationNo = registrationNo;
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age;
    }

    public String getMeasureDate() {
        return measureDate;
    }

    public void setMeasureDate(String measureDate) {
        this.measureDate = measureDate;
    }

    public String getHeight() {
        return height;
    }

    public void setHeight(String height) {
        this.height = height;
    }

    public String getLength() {
        return length;
    }

    public void setLength(String length) {
        this.length = length;
    }

    public String getBust() {
        return bust;
    }

    public void setBust(String bust) {
        this.bust = bust;
    }

    public String getChestWidth() {
        return chestWidth;
    }

    public void setChestWidth(String chestWidth) {
        this.chestWidth = chestWidth;
    }

    public String getChestDeep() {
        return chestDeep;
    }

    public void setChestDeep(String chestDeep) {
        this.chestDeep = chestDeep;
    }

    public String getWaistWidth() {
        return waistWidth;
    }

    public void setWaistWidth(String waistWidth) {
        this.waistWidth = waistWidth;
    }

    public String getCrossWidth() {
        return crossWidth;
    }

    public void setCrossWidth(String crossWidth) {
        this.crossWidth = crossWidth;
    }

    public String getGuanWei() {
        return guanWei;
    }

    public void setGuanWei(String guanWei) {
        this.guanWei = guanWei;
    }

    public String getWeight() {
        return weight;
    }

    public void setWeight(String weight) {
        this.weight = weight;
    }

    public String getHairLength() {
        return hairLength;
    }

    public void setHairLength(String hairLength) {
        this.hairLength = hairLength;
    }

    public String getHairFineness() {
        return hairFineness;
    }

    public void setHairFineness(String hairFineness) {
        this.hairFineness = hairFineness;
    }

    public String getShearing() {
        return shearing;
    }

    public void setShearing(String shearing) {
        this.shearing = shearing;
    }

    public String getBackWidth() {
        return backWidth;
    }

    public void setBackWidth(String backWidth) {
        this.backWidth = backWidth;
    }

    public String getEyeMuscleArea() {
        return eyeMuscleArea;
    }

    public void setEyeMuscleArea(String eyeMuscleArea) {
        this.eyeMuscleArea = eyeMuscleArea;
    }

    public String getBreedRes() {
        return breedRes;
    }

    public void setBreedRes(String breedRes) {
        this.breedRes = breedRes;
    }

    public String getHealth() {
        return health;
    }

    public void setHealth(String health) {
        this.health = health;
    }

    public String getImmune() {
        return immune;
    }

    public void setImmune(String immune) {
        this.immune = immune;
    }

    public String getUpdateId() {
        return updateId;
    }

    public void setUpdateId(String updateId) {
        this.updateId = updateId;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public String getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    public String getPermissions() {
        return permissions;
    }

    public void setPermissions(String permissions) {
        this.permissions = permissions;
    }

    public String getInputTime() {
        return inputTime;
    }

    public void setInputTime(String inputTime) {
        this.inputTime = inputTime;
    }

    @Override
    public String toString()
    {
        return "PerformanceEntity{" +
                "id=" + id +
                ", unid='" + unid + '\'' +
                ", registrationNo='" + registrationNo + '\'' +
                ", age='" + age + '\'' +
                ", measureDate='" + measureDate + '\'' +
                ", height='" + height + '\'' +
                ", length='" + length + '\'' +
                ", bust='" + bust + '\'' +
                ", chestWidth='" + chestWidth + '\'' +
                ", chestDeep='" + chestDeep + '\'' +
                ", waistWidth='" + waistWidth + '\'' +
                ", crossWidth='" + crossWidth + '\'' +
                ", guanWei='" + guanWei + '\'' +
                ", weight='" + weight + '\'' +
                ", hairLength='" + hairLength + '\'' +
                ", hairFineness='" + hairFineness + '\'' +
                ", shearing='" + shearing + '\'' +
                ", backWidth='" + backWidth + '\'' +
                ", eyeMuscleArea='" + eyeMuscleArea + '\'' +
                ", breedRes='" + breedRes + '\'' +
                ", health='" + health + '\'' +
                ", immune='" + immune + '\'' +
                ", updateId='" + updateId + '\'' +
                ", createBy='" + createBy + '\'' +
                ", createTime='" + createTime + '\'' +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime='" + updateTime + '\'' +
                ", permissions='" + permissions + '\'' +
                ", inputTime='" + inputTime + '\'' +
                '}';
    }
}
